petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSpacePolynomialGetTensor

Get whether a function space is a space of tensor polynomials (the space is spanned by polynomials whose degree in each variabl is bounded by the given order), as opposed to polynomials (the space is spanned by polynomials whose total degree---summing over all variables---is bounded by the given order).

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpacePolynomialGetTensor(PetscSpace sp, PetscBool *tensor)

### Input Parameters

sp -the function space object

### Output Parameters

tensor -PETSC_TRUE for a tensor polynomial space, PETSC_FALSE for a polynomial space

### See Also

PetscSpacePolynomialSetTensor(), PetscSpaceSetDegree(), PetscSpaceSetNumVariables()

### Level

beginner

### Location

src/dm/dt/space/impls/poly/spacepoly.c

### Implementations

PetscSpacePolynomialGetTensor_Polynomial in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpacePolynomialGetTensor_Subspace in src/dm/dt/space/impls/subspace/spacesubspace.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages